let AItem = require('./AItem')
let logger = require('./log')
let mqtt = require('./mqttHandler');


class Forwarder extends AItem {
    constructor(floor, room, item, topicLastPart, targetTopics) {
        super(floor, room, item);
        this.inTopic = `${this.topicFirstPart}/${topicLastPart}`;
        this.subscribeTopics = [ this.inTopic ];
        this.targetTopics = targetTopics;
    }

    processMessage(topic, payload) {
        switch (topic) {
            case this.inTopic:
                this.targetTopics.forEach((targetTopic) => {
                    mqtt.send(targetTopic, payload, true);
                });
                break;
        }
    }
}

module.exports = Forwarder;
