let logger = require('./log');
let mqtt = require('./mqttHandler');
let AHomematicItem = require('./AHomematicItem')


class HomematicSwitchItem extends AHomematicItem {
    constructor(floor, room, item, hmId) {
        super(floor, room, item, hmId);
        this.stateTopic = `${this.topicFirstPart}/state`;
        this.stateFeedbackTopic = `${this.topicFirstPart}/state/feedback`;
        this.deviceFeedbackTopic = `${this.deviceTopicPre}/1/STATE`;
        this.actionTopic = `${this.actionTopicPre}/1/STATE`;
        this.subscribeTopics = [
            this.stateTopic,
            this.deviceFeedbackTopic
        ];
        this.state = 'OFF';
        this.oldState = undefined;
    }


    processMessage(topic, payload) {
        switch (topic) {
            case this.stateTopic:
                this.state = payload;
                mqtt.send(this.stateFeedbackTopic, this.state);
                if (this.state != this.oldState) {                
                    if (this.state == 'ON') {
                        mqtt.send(this.actionTopic, 'true');
                    } else {
                        mqtt.send(this.actionTopic, 'false');
                    }
                    this.oldState = this.state;
                }
                break;
            case this.deviceFeedbackTopic:
                if (payload == 'true') {
                    this.state = 'ON';
                } else {
                    this.state = 'OFF';
                }
                this.oldState = this.state;
                mqtt.send(this.stateFeedbackTopic, this.state);
                break;
        }
    }
}

module.exports = HomematicSwitchItem;

