let logger = require('./log');
let mqtt = require('./mqttHandler');

let HomematicDimmerItemClass = require('./HomematicDimmerItem');
let HomematicSwitchItemClass = require('./HomematicSwitchItem');
let M433SwitchItem = require('./M433SwitchItem');
let HomematicFourButtonThing = require('./HomematicFourButtonThing');
let HomematicFourButtonSingleItem = require('./HomematicFourButtonSingleItem');
let DimmerAdaptor = require('./DimmerAdaptor');
let TimerAdaptor = require('./TimerAdaptor');
let Forwarder = require('./Forwarder');






let aquariumLight = new M433SwitchItem('1st', 'Anna', 'AquariumLight', '14665044 24 1', '14665041 24 1');
aquariumLight.start();

let deskLight = new M433SwitchItem('Gnd', 'Hallway', 'DeskLight', '83221 24 1', '83220 24 1');
deskLight.start();

let testFourButton = new HomematicFourButtonThing('Gnd', 'Hallway', 'TestButton', 9, [
    new HomematicFourButtonSingleItem('button1', 'dispatcher_ng/items/Gnd/Hallway/Testlight/dimmerIn'),
    new HomematicFourButtonSingleItem('button2', 'dispatcher_ng/items/Gnd/Hallway/DeskLight/timerIn'),
    new HomematicFourButtonSingleItem('button3', 'test/button/3'),
    new HomematicFourButtonSingleItem('button4', 'test/button/4')
]);
testFourButton.start();

let testDimmerAdaptor = new DimmerAdaptor('Gnd', 'Hallway', 'Testlight');
testDimmerAdaptor.start();

let testTimerAdaptor = new TimerAdaptor('Gnd', 'Hallway', 'DeskLight', 10);
testTimerAdaptor.start();

let testLight = new HomematicDimmerItemClass('Gnd', 'Hallway', 'Testlight', 8);
testLight.start();

let testLight2 = new HomematicSwitchItemClass('Gnd', 'Hallway', 'Testlight2', 5);
testLight2.start();

let testForwarder = new Forwarder('Gnd', 'Hallway', 'TestForwarder', 'state', [
    'dispatcher_ng/items/Gnd/Hallway/Testlight2/state',
    'dispatcher_ng/items/Gnd/Hallway/DeskLight/state'
]);
testForwarder.start();




mqtt.start();
